> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order

> Modify an order



## OpenAPI

````yaml patch /players/orders/{workspaceId}/{orderId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /players/orders/{workspaceId}/{orderId}:
    patch:
      tags:
        - Players
      description: Modify an order
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: orderId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prepared_by:
                  type: string
                picked_up_by:
                  type: string
                status:
                  type: string
                  enum:
                    - submitted
                    - handed_to
                    - waiting_for_preparation
                    - finding_new_colleague
                    - preparing
                    - completed
                    - waiting_for_pickup
                    - cancelled
      responses:
        '200':
          description: Order modified successfully
          content:
            application/json:
              schema:
                type: object
                description: Order modified successfully
                properties:
                  order_number:
                    type: number
                  items:
                    type: array
                    items:
                      type: string
                  submitted_by:
                    type: string
                  prepared_by:
                    type: string
                  picked_up_by:
                    type: string
                  status:
                    type: string
                    enum:
                      - submitted
                      - handed_to
                      - waiting_for_preparation
                      - finding_new_colleague
                      - preparing
                      - completed
                      - waiting_for_pickup
                      - cancelled
                  customer:
                    type: string
                  workspace:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  game_id:
                    type: string
                  job_id:
                    type: string
                  _id:
                    type: string
                required:
                  - order_number
                  - items
                  - submitted_by
                  - status
                  - customer
                  - workspace
                  - createdAt
                  - updatedAt
                  - _id

````